import { PureObject } from '../../types';

interface PageDataResponse<T> {
    pageNum: number;
    pageSize: number;
    total: number;
    pages: number;
    list: T[];
    boolLastPage: boolean;
}
export interface PageResponse<T> {
    data: PageDataResponse<T>;
}
export declare const ajax: {
    getList<T = any>(path: string, data?: PureObject<any>): Promise<T[]>;
    postList<T = any>(path: string, data?: PureObject<any>): Promise<T[]>;
    get<T = any>(path: string, data?: PureObject<any>): Promise<T>;
    post<T = any>(path: string, data?: PureObject<any>): Promise<T>;
    getPage<T = any>(path: string, data?: PureObject<any>): Promise<PageDataResponse<T>>;
    postPage<T = any>(path: string, data?: PureObject<any>): Promise<PageDataResponse<T>>;
};
export {};
